IF NOT EXISTS (SELECT * FROM sysobjects WHERE Name='Eventos_Grupos' AND xtype='U')
BEGIN
	CREATE TABLE Eventos_Grupos 
	(
		Id_Evento_Grupo				INT IDENTITY(0,1),
		Descripcion					VARCHAR(300),
		Descripcion_Publica			VARCHAR(300),
		Fecha_Desde					DATETIME,
		Fecha_Hasta					DATETIME,
		Activo						TINYINT,
		Nota						TEXT
	)
END
GO

IF EXISTS (SELECT * FROM sysobjects WHERE Name='Eventos_Grupos' AND xtype='U')
BEGIN
	ALTER TABLE Eventos_Grupos ADD CONSTRAINT PK_EVEG_PorId PRIMARY KEY CLUSTERED (Id_Evento_Grupo)	
END
GO

IF EXISTS (SELECT * FROM sysobjects WHERE Name='Eventos_Grupos' AND xtype='U')
BEGIN
	CREATE INDEX IX_EVEG_PorDescrip ON Eventos_Grupos (Descripcion)
END
GO

----------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM sysobjects WHERE Name='Prod_Listas_Precios' AND xtype='U')
BEGIN
	ALTER TABLE Prod_Listas_Precios ADD Id_Evento_Grupo INT
END

IF EXISTS (SELECT * FROM sysobjects WHERE Name='Prod_Listas_Precios' AND xtype='U')
BEGIN
	ALTER TABLE Prod_Listas_Precios ADD CONSTRAINT FK_PLP_Eventos_Grupos FOREIGN KEY (Id_Evento_Grupo) REFERENCES Eventos_Grupos (Id_Evento_Grupo)
END
GO

INSERT INTO Eventos_Grupos (Descripcion,Activo) VALUES ('NO DEFINIDO',0)
GO